2019-04-19 00:19 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003298BrianTheLion[All Projects] Generalpublic2016-02-16 13:28
ReporterAndreas 
Assigned ToWeplProject InfoBrian the Lion (Psygnosis)
http://www.whdload.de/games/BrianTheLion.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0003298: When i try to load the ECS/OCS Version of "Brian the Lion" with my A600, it
DescriptionGameVersion: english,pal,3 disks
SlaveVersion: V1.3 from 05-Jul-2010

When i try to load the ECS/OCS Version of "Brian the Lion" with my A600, it starts normally, loads until the logo "Brian the Lion" with the white background can be seen and then goes back to my Workbench with that exact error-message:
Function resload_Diskload with unacceptable arguments
A0 = $2FCC64 PC = $254EE6 (Slave $1B6)
I dont know, if that WHDLoad-Driver is just for 68020 CPU`s or what the problem is here. Nearly all other games here works perfect, only in the game "Base Jumpers" i have a similar problem.
Regards
TagsNo tags attached.
MachineA600
CPU68000
CPUSpeed7
ChipSetECS
GFXCardNone
ChipMem2 MB
FastMem4 MB
WorkbenchOS 2.1
KickROM37 - Kick 2.0
KickSoftNone
WHDLoad18.1
importedyes
Attached Files
  • ? file icon whdl_register (2,988 bytes) 2015-12-24 03:49 -
    ************************* 28-Jan-11 19:03:06 ************************18.0.5614***
    Slave='BrianTheLion.slave' (868 bytes)
    ShadowMem   365028 -   39E028 ( 233472) AbsolutMem    39000 -   100000 ( 815104)
    Resload     2AA2F0 -   2B0974 (  26244) at 2AA2F0  GL=$2D1AC8
    Slave       234DD0 -   235110 (    832) at 234DD0  BaseMemSize=$100000
    attn=200(UAE,00) fc=-1 kn=20421 cs=1851 rw=0 zpt=-1 ep=0 ei=0
    setcpu=33D(DC,IC,SCB,ECB,BNC)
    
    Function 'resload_DiskLoad' called with unacceptable arguments A0 = $2AC1CC  PC
    = $234F86 (Slave $1B6).
    
    $00234f5e beq.b        $234f56
    $00234f60 rts
    $00234f62 bsr.b        $234f66
    $00234f64 rte
    $00234f66 movem.l      d0-d3/a0-a2,-(a7)              ;$000fffce
    $00234f6a move.l       a1,a0
    $00234f6c mulu         #$200,d0
    $00234f70 mulu         #$200,d1
    $00234f74 exg          d0,d1
    $00234f76 lea          ($23510c,pc),a1
    $00234f7a move.b       (a1),d2                        ;$0023510c
    $00234f7c addq.b       #1,d2
    $00234f7e move.l       ($2350fc,pc),a2
    $00234f82 jsr          ($28,a2)                       ;$002aa318
    $00234f86 movem.l      (a7)+,d0-d3/a0-a2              ;$000fffce
    $00234f8a rts
    $00234f8c pea          (9).w
    $00234f90 move.l       ($2350fc,pc),a2
    $00234f94 jmp          (4,a2)                         ;$002aa2f4
    $00234f98 lea          ($b1c32),a6
    $00234f9e move.w       #$4ef9,($85e).w
    $00234fa4 pea          ($234fae,pc)
    $00234fa8 move.l       (a7)+,($860).w                 ;$000fffce
    $00234fac rts
    $00234fae bsr.b        $234fe6
    $00234fb0 cmpi.l       #$20700000,($bbaa)
    $00234fba bne.b        $234fd4
    $00234fbc move.w       #$4ef9,($400).w
    $00234fc2 pea          ($234fd6,pc)
    
    regular stack:
    $000FFFCE 00234F86 002A06E0 00000000 00000000 D3D3000F 000009C2 002AC1CC 000009C6
    $000FFFEE 00234F64 20040000 08E00000 089C000F D62C
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx        0     DC000         1  D3D3000F         9         1      FFFF      FFFF
    Ax   2AC1CC    23510C    2AA2F0       9F2  A4A4A4A4    DFF000    DFF000
    
                     TTSM III   XNZVC
    PC=  234F86  SR %0010000000000000  USP=FFC00  SSP=FFFCE
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%0000000000000000 dmacon=%0000011111000000 adkcon=$   0
    intreq=%0000000001100000
    vposr....A000  vhposr...04BC  joy0dat..0300  joy1dat..0000  clxdat...81FE  
    pot0dat..8E00  pot1dat..0000  potinp...5500  serdatr..3000  dskbytr..0000  
    deniseid.FFFC  hhposr...00E4  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=00000000  ta=21FF<21FF	   cra=00001000  ta= 380< 380
    	    AII ROPS			    AII ROPS
    	crb=00000000  tb=21FF<21FF	   crb=00000000  tb=FFFF<FFFF
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=11111100  prb=11111111      pra=00000111  prb=11111111
           ddra=00000011 ddrb=00000000     ddra=11000000 ddrb=11111111
           event=0003A3  icr=00  sdr=00    event=04724B  icr=00  sdr=00
    
    ? file icon whdl_register (2,988 bytes) 2015-12-24 03:49 +
  • ? file icon .whdl_log (416 bytes) 2016-02-14 18:18 -
    ******* 28-Jan-11 18:56:29 ******* BrianTheLion.slave ******* 18.2.5735 *******
    [0000] [Disk]    crc=1379  dest=$  FD600  size=$ 2000=  8192  disk=1  offset=$  C00
    [0001] [Disk]    crc=0D72  dest=$  FDE38  size=$  800=  2048  disk=1  offset=$  400
    [0002] [Disk]    crc=307C  dest=$  40800  size=$ A200= 41472  disk=1  offset=$CEE00
    [0003] [Disk]    crc=E824  dest=$    800  size=$ 2200=  8704  disk=1  offset=$ 2C00
    ? file icon .whdl_log (416 bytes) 2016-02-14 18:18 +
  • ? file icon BrianTheLion_ECS.Slave (1,020 bytes) 2016-02-15 22:21

-Relationships
+Relationships

-Notes

note ~0004730

Wepl (manager)

Please attach the .whdl_register file here.

note ~0004739

retrogamer (reporter)

the .whdl_register file is attached.

Please is it possibole to add a working quitkey for 68000 cpu too?

note ~0004787

hardgb (reporter)

I have an Amiga A600 with the same configuration and is having the same problem.
You have managed to make the "brianthelion" work properly in A600?

note ~0004788

retrogamer (reporter)

No I don't thats why I have attached a .whdl_register file for Wepl.

note ~0004858

Wepl (manager)

Can you please use the FILELOG option and attach the .whdl_log too?

note ~0004862

retrogamer (reporter)

.whdl_log attached do you think you can take closer look at it please?

note ~0004865

Wepl (manager)

Please try the attached Slave.

note ~0004867

retrogamer (reporter)

Thanks!

The game seems to work fine on 68000 machines but quitkey for 68000 is still not working.

Maybe you'll fix it before publishing it on the whdlsite.

note ~0004874

Wepl (manager)

Please try the new slave (renamed!).
Should quit in title and game.

note ~0004875

retrogamer (reporter)

Thanks!

Quitkey works fine now.

note ~0004877

Wepl (manager)

new install package has been released

note ~0004880

hardgb (reporter)

Very good.
Guys thank you, now I'm getting to play "Brian The Lion"
+Notes

-Issue History
Date Modified Username Field Change
2015-10-11 22:28 administrator New Issue
2015-12-19 11:11 Wepl Note Added: 0004730
2015-12-24 03:49 retrogamer File Added: whdl_register
2015-12-24 03:52 retrogamer Note Added: 0004739
2016-01-06 12:41 hardgb Note Added: 0004787
2016-01-06 13:33 retrogamer Note Added: 0004788
2016-02-14 17:21 Wepl Note Added: 0004858
2016-02-14 18:18 retrogamer File Added: .whdl_log
2016-02-14 18:19 retrogamer Note Added: 0004862
2016-02-14 22:41 Wepl File Added: BrianTheLion_ECS
2016-02-14 22:42 Wepl Note Added: 0004865
2016-02-14 22:44 Wepl Assigned To => Wepl
2016-02-14 22:44 Wepl Status new => assigned
2016-02-15 00:58 retrogamer Note Added: 0004867
2016-02-15 22:21 Wepl File Deleted: BrianTheLion_ECS
2016-02-15 22:21 Wepl File Added: BrianTheLion_ECS.Slave
2016-02-15 22:22 Wepl Note Added: 0004874
2016-02-15 22:44 retrogamer Note Added: 0004875
2016-02-15 23:18 Wepl Note Added: 0004877
2016-02-15 23:18 Wepl Status assigned => resolved
2016-02-15 23:18 Wepl Resolution open => fixed
2016-02-16 13:28 hardgb Note Added: 0004880
+Issue History